/******************************************************/

#ifndef CHECK_ALPHA_NUM  /* We wasn't included before */
#define CHECK_ALPHA_NUM

#include "include/glbtypes.h"
#include "include/glbproto.h"
#include "include/globvars.h"

/*************** Using ASCII ****************************/

int isidch(char c)                 /* Check for 'good' character */
{
	return isalnum(c)||(c=='_')||(c==4);
}
int isalpha(char c)                 /* Check for letter */
{
	return ((c<91)&(c>64))||((c>96)&(c<123));
}
int isnum(char c)                  /* Check for number  */
{
	return ((c<58)&(c>47));
}

int isalnum(char c)                /* Number or letter */
{
	return isnum(c)||isalpha(c);
}

int isalnumsp(char c)             /* Number || letter || space || _ */
{
	return isalnum(c)||(c==32)||(c==95);
}

#endif                            /* #ifndef CHECK_ALPHA_NUM */

